Bug 87972 - Cannot repeat items labels on a pivot table
Summary: Cannot repeat items labels on a pivot table
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: x86-64 (AMD64) All
: medium enhancement
Assignee: Deena Francis (ldcs.co.in)
QA Contact:
URL:
Whiteboard: target:4.5.0
Keywords:
Depends on:
Blocks:
 
Reported: 2015-01-02 16:32 UTC by nain.santiago
Modified: 2015-05-29 20:53 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
display items labels in pivot table (196.76 KB, image/png)
2015-01-06 15:40 UTC, nain.santiago
Details
test excel (14.01 KB, application/vnd.openxmlformats-officedocument.spreadsheetml)
2015-01-07 07:41 UTC, raal
Details
repeat items label (62.96 KB, image/png)
2015-03-20 17:54 UTC, raal
Details
pivot_table. item_element (18.27 KB, image/png)
2015-05-29 19:44 UTC, kompilainenn
Details
screnshot of How to (84.95 KB, image/png)
2015-05-29 20:15 UTC, GerardF
Details

Note You need to log in before you can comment on or make changes to this bug.
Description nain.santiago 2015-01-02 16:32:49 UTC
I cannot find the option to repeat items labels on a pivot table. This is why I need to converting the output the pivot table into tabular table.

In excel, there is a option that permits you display the items labels in the same pivot table.
Comment 1 raal 2015-01-04 11:29:07 UTC
Please explain more what do you mean. Attach test file, screenshot etc.  Is it this feature -  http://www.extendoffice.com/documents/excel/1964-excel-repeat-item-labels.html ?
Comment 2 nain.santiago 2015-01-06 15:40:37 UTC
Created attachment 111856 [details]
display items labels in pivot table

When I create a pivot table the items labels get displaying in a grouping way, I need displaying in tabular way.  Like in the example that I attach for.
Comment 3 raal 2015-01-06 18:03:54 UTC
Seeting as enhancement. Excel have this function.
Comment 4 raal 2015-01-07 07:41:07 UTC
Created attachment 111887 [details]
test excel

Excel file with feature "repeat items labels" on pivot table.
Comment 5 Deena Francis (ldcs.co.in) 2015-02-16 17:22:36 UTC
Submitted a patch that implements this feature request at https://gerrit.libreoffice.org/#/c/14504/

Thanks,
Deena
(Affiliation : Libre Data Consultancy Services)
Comment 6 Commit Notification 2015-03-12 01:19:26 UTC
Deena Francis committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7b355da6853af6678c4ba22710d157cf8a6d43eb

Enhancement tdf#87972 :  Cannot repeat items labels on a pivot table

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Kohei Yoshida 2015-03-12 01:23:47 UTC
Deena's patch is now merged to master, and with it, Calc provides an additional option for repeating item labels.  It doesn't handle Excel import export though, which will be a nice addition to this new feature if anyone is interested.

Also, Deena wrote a unit test for the core part of this feature.  I would be nice to have additional unit test to cover ODF import / export as well.
Comment 8 Kohei Yoshida 2015-03-12 01:27:34 UTC
I'll mark this as fixed.  File a new bug for the Excel import export if anyone needs to.
Comment 9 Cor Nouws 2015-03-12 09:02:11 UTC
nice :) Thanks!
I've already added a short description at the release notes page
  https://wiki.documentfoundation.org/ReleaseNotes/4.5#Calc

Setting version to Inherited From OOo - the feature never existed in our code
Comment 10 raal 2015-03-20 17:54:02 UTC
Created attachment 114217 [details]
repeat items label

Verified, Version: 4.5.0.0.alpha0+
Build ID: e3167924fd28c8b854f23139dbf49f53e6282ef7
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2015-03-17_03:10:47
Comment 11 nain.santiago 2015-03-27 20:07:12 UTC
I already download and install the version LibreOffice with the included patch but I cant found the option for repeat item labels yet. 
where exactly can I repeat items labes when create a pivot table?
Comment 12 Mike §chinagl 2015-05-21 15:39:20 UTC
This bug fix is mentioned in the release notes of the coming LibreOffice 5.0 (see release notes https://wiki.documentfoundation.org/ReleaseNotes/5.0). Therefore it would be wonderful if this feature really worked well, otherwise it should not be mentioned in the release notes. In the notes it reads:

Item labels in Pivot Tables can be repeated now. tdf#87972 (Deena Francis) Screenshot
Comment 13 kompilainenn 2015-05-21 20:27:53 UTC
(In reply to Mike §chinagl from comment #12)
> This bug fix is mentioned in the release notes of the coming LibreOffice 5.0
> (see release notes https://wiki.documentfoundation.org/ReleaseNotes/5.0).
> Therefore it would be wonderful if this feature really worked well,
> otherwise it should not be mentioned in the release notes. In the notes it
> reads:
> 
> Item labels in Pivot Tables can be repeated now. tdf#87972 (Deena Francis)
> Screenshot

In LibreOffice

Version: 5.0.0.0.beta1
ID build: 0a16c3dda4150008d9be6f24cbd15ac198d116d3
Locale: ru-RU (ru_RU)

item labels in pivot table not repeat!
Comment 14 raal 2015-05-23 05:46:36 UTC
(In reply to kompilainenn from comment #13)
> (In reply to Mike §chinagl from comment #12)
> > This bug fix is mentioned in the release notes of the coming LibreOffice 5.0
> > (see release notes https://wiki.documentfoundation.org/ReleaseNotes/5.0).
> > Therefore it would be wonderful if this feature really worked well,
> > otherwise it should not be mentioned in the release notes. In the notes it
> > reads:
> > 
> > Item labels in Pivot Tables can be repeated now. tdf#87972 (Deena Francis)
> > Screenshot
> 
> In LibreOffice
> 
> Version: 5.0.0.0.beta1
> ID build: 0a16c3dda4150008d9be6f24cbd15ac198d116d3
> Locale: ru-RU (ru_RU)
> 
> item labels in pivot table not repeat!

Hello kompilainenn,
how did you tested this? WFM in Version: 5.1.0.0.alpha1+
Build ID: 5b248f1348260f953686b20621255aece57358fe
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2015-05-21_12:28:08

This feature is only for ods files now, not for excel files.
Comment 15 kompilainenn 2015-05-29 19:43:49 UTC
(In reply to raal from comment #14)

> Hello kompilainenn,
> how did you tested this? WFM in Version: 5.1.0.0.alpha1+
> Build ID: 5b248f1348260f953686b20621255aece57358fe
> TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time:
> 2015-05-21_12:28:08
> 
> This feature is only for ods files now, not for excel files.

I created a pivot table, and saw that mark to items missing. Of course, I saved the file in the format .ods (see. screenshot)
Comment 16 kompilainenn 2015-05-29 19:44:30 UTC
Created attachment 116146 [details]
pivot_table. item_element
Comment 17 kompilainenn 2015-05-29 19:56:40 UTC
2raal: show me a screenshot of your results. maybe I'm not doing a pivot table?
Comment 18 GerardF 2015-05-29 20:15:38 UTC
Created attachment 116153 [details]
screnshot of How to

Open the Pivot Table layout dialog.
Double-click in the row field
click on Options.

See screenshot of successive dialogs.
Comment 19 kompilainenn 2015-05-29 20:53:55 UTC
(In reply to GerardF from comment #18)
> Created attachment 116153 [details]
> screnshot of How to
> 
> Open the Pivot Table layout dialog.
> Double-click in the row field
> click on Options.
> 
> See screenshot of successive dialogs.

oh, thx! 

very not obvious implemented. in Release Notes obviously you need to specify that this is an additional possibility, not a default behavior!